For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • GETGet Settlement Batches
      • GETGet Settlement Batches by Date
      • GETGet Settlement Batch Files
      • BatchSettlement
LogoLogo
Reference - Partner APISettlements

Get Settlement Batches by Date

GET
/v1/settlement/batches/date/:YYYY-MM-DD
GET
/v1/settlement/batches/date/:YYYY-MM-DD
$curl https://agencyapi.afterpay.com/v1/settlement/batches/date/2024-01-29 \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent"
1{
2 "settlement_batches": [
3 {
4 "id": "2020-07-10Z_a8xhc6DJF3h48377DCV",
5 "created_at": "2020-07-10T22:53:46Z"
6 }
7 ],
8 "meta_data": {
9 "more_data": true,
10 "computed_at": "2024-02-21T18:53:26Z"
11 }
12}
Returns a list of settlement batches, sorted by creation date in ascending order.
Was this page helpful?
Previous

Get Settlement Batch Files

Next
Built with

Path parameters

YYYY-MM-DDstringRequired
Date of the settlement files to retrieve.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Response

Successful response with a list of settlement batches.
settlement_batcheslist of objects
meta_dataobject

Errors

401
Unauthorized Error
503
Service Unavailable Error